Create or update NTRIP credentials at a priority​
PUT
/devices/{id}/rtk/ntrip/{priority}
Creates or updates manual credentials at the requested priority. The priority in the URL overrides any priority in the request body. Set insert to true to insert and shift later priorities.
Authorizations​
ApiKeyAuth
API Key for authentication. Retrieval from either API version login routes, or other authentication token type. See Authentication for more details.
Type
API Key (header: Authorization)
Example
"eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9..."Parameters​
Path Parameters
id*
Device ID
Type
Requiredinteger
priority*
Credential priority
Type
Requiredinteger
Request Body​
application/json
JSON"host": "string","insert": true,"mountpoint": "string","password": "string","port": 0,"priority": 0,"username": "string"
{
 Â
 Â
 Â
 Â
 Â
 Â
 Â
}
PUT
/devices/{id}/rtk/ntrip/{priority}